# $Revision: 1.8 $, $Date: 2008/07/27 22:48:02 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Statistics
%define	pnam	Distributions
Summary:	Critical values and upper probabilities of common statistical distributions
Summary(pl.UTF-8):	Wartości krytyczne i górne prawdopodobieństwa popularnych rozkładów statystycznych
Name:		perl-Statistics-Distributions
Version:	1.02
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	526cb415b30ffeec52563dbcb436ca60
URL:		http://search.cpan.org/dist/Statistics-Distributions/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Statistics::Distributions calculates percentage points (5 significant
digits) of the u (standard normal) distribution, the Student's t
distribution, the chi-square distribution and the F distribution. It
can also calculate the upper probability (5 significant digits) of the
u (standard normal), the chi-square, the t and the F distribution.

These critical values are needed to perform statistical tests, like
the u test, the t test, the F test and the chi-squared test, and to
calculate confidence intervals.

%description -l pl.UTF-8
Statistics::Distributions oblicza percentyle (z dokładnością do 5 cyfr
znaczących) rozkładów u (normalnego), t-Studenta, chi-kwadrat oraz F.
Może także obliczać górne prawdopodobieństwa (z dokładnością do 5 cyfr
znaczących) tych rozkładów.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/Statistics/*.pm
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Statistics-Distributions.spec,v $
Revision 1.8  2008/07/27 22:48:02  arekm
- release 2

Revision 1.7  2007-02-13 07:47:14  glen
- tabs in preamble

Revision 1.6  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.5  2006/08/12 18:00:04  ankry
- formatting

Revision 1.4  2005/08/11 09:46:18  radek
- bcond_with(out) is followed by one \t, then bcond's name.

Revision 1.3  2004/11/28 00:07:48  radek
- shorter summaries

Revision 1.2  2004/11/01 20:30:41  qboosh
- pl(?), URL

Revision 1.1  2004/11/01 19:01:36  adamg
- new
